NAME := php
DEPENDS_ON := \
	asdf
CODE_EXTENSIONS := \
	xdebug.php-pack

include $(CODY)
include $(SHARED)/code/code.mk

DEPENDS_ON += $(CODE_INSTALLER)

.PHONY: install
ifeq ($(PKG_MANAGER),brew)
install: | \
	/opt/homebrew/bin/pkg-config \
	/opt/homebrew/bin/re2c \
	/opt/homebrew/opt/libxml2/bin/xml2-config \
	code-extensions
else
install: | \
	$(HOME)/.asdf/shims/$(NAME) \
	code-extensions
endif
$(HOME)/.asdf/shims/$(NAME):
	@asdf plugin add $(NAME)
	@asdf install $(NAME) latest
	@asdf global $(NAME) latest

ifeq ($(PKG_MANAGER),brew)
/opt/homebrew/bin/re2c:
	@$(BREW) install $(@F)
/opt/homebrew/bin/pkg-config:
	@$(BREW) install $(@F)
/opt/homebrew/opt/libxml2/bin/xml2-config:
	@$(BREW) install libxml2
endif

.PHONY: uninstall
uninstall:
